#! /bin/sh
#
# skeleton	example file to build /etc/init.d/ scripts.
#		This file should be used to construct scripts for /etc/init.d.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian GNU/Linux
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.8  03-Mar-1998  miquels@cistron.nl
#
# This file was automatically customized by dh-make on Thu, 10 Jun 1999 14:45:00 -0400

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/sbin/pump
NAME=pump
DESC=pump

test -f $DAEMON || exit 0
test -f /etc/default/pump || exit 0
. /etc/default/pump
test ! "$IFACES" = "" || exit 0

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: "
	for iface in $IFACES; do
		$DAEMON -i $iface && echo -n "$iface "
	done
	echo "."
	;;
  stop)
	echo -n "Stopping $DESC: "
	$DAEMON -k
	echo "$NAME."
	;;
  renew|reload|restart)
 	# No config files, so we just renew the lease here
	#
	#	If the daemon can reload its config files on the fly
	#	for example by sending it SIGHUP, do it here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this a do-nothing entry.
	#
	echo "$DESC renewing lease."
	$DAEMON -R
  ;;
  #restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
  #	echo -n "Restarting $DESC: "
  #	start-stop-daemon --stop --quiet --pidfile \
  #		/var/run/$NAME.pid --exec $DAEMON
  #
  #	sleep 1
  #	start-stop-daemon --start --quiet --pidfile \
  #		/var/run/$NAME.pid --exec $DAEMON
  #	echo "$NAME."
  #	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|renew|reload}" >&2
	exit 1
	;;
esac

exit 0
